For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

Send invitation to an admin user

POST
https://api.brevo.com/v3/corporate/user/invitation/send
POST
/v3/corporate/user/invitation/send
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.inviteAdminUser({
8 allFeaturesAccess: true,
9 email: "inviteuser@example.com",
10 privileges: [
11 {},
12 ],
13 });
14}
15main();
1{
2 "id": "659xxxxxxxxxxxxxxxx6ef9c8"
3}
`This endpoint allows you to invite a member to manage the Admin account Features and their respective permissions are as below: - `my_plan`: - "all" - `api`: - "none" - `user_management`: - "all" - `app_management` | Not available in ENTv2: - "all" - `sub_organization_groups` - "create" - "edit_delete" - `create_sub_organizations` - "all" - `manage_sub_organizations` - "all" - `analytics` - "download_data" - "create_alerts" - "my_looks" - "explore_create" - `security` - "all" **Note**: - If `all_features_access: false` then only privileges are required otherwise if `true` then it's assumed that all permissions will be there for the invited admin user.
Was this page helpful?
Previous

Resend / cancel admin user invitation

Next
Built with

This endpoint allows you to invite a member to manage the Admin account Features and their respective permissions are as below: - my_plan`:

  • “all”
  • api:
    • “none”
  • user_management:
    • “all”
  • app_management | Not available in ENTv2:
    • “all”
  • sub_organization_groups
    • “create”
    • “edit_delete”
  • create_sub_organizations
    • “all”
  • manage_sub_organizations
    • “all”
  • analytics
    • “download_data”
    • “create_alerts”
    • “my_looks”
    • “explore_create”
  • security
    • “all” Note: - If all_features_access: false then only privileges are required otherwise if true then it’s assumed that all permissions will be there for the invited admin user.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

Payload to send an invitation
all_features_accessbooleanRequired
All access to the features
emailstringRequiredformat: "email"
Email address for the organization
privilegeslist of objectsRequired
groupIdslist of stringsOptional
Ids of Group

Response

Invitation ID
idstring

Errors

400
Bad Request Error